import { createRouter, createWebHashHistory } from 'vue-router'
import Template1_Radial from '../views/Template1_Radial.vue'
import Template2_HorizontalBars from '../views/Template2_HorizontalBars.vue'
import Template3_LineGraph from '../views/Template3_LineGraph.vue'
import Template4_Weather from '../views/Template4_Weather.vue'
import Template5_VerticalBars from '../views/Template5_VerticalBars.vue'
import Template6_PieChart from '../views/Template6_PieChart.vue'
import Template7_Info from '../views/Template7_Info.vue'
import Template8_LiveVideo from '../views/Template8_LiveVideo.vue'

const routes = [
  {
    path: '/chart/radial',
    name: 'gateway-widget-chart-radial',
    component: Template1_Radial
  },
  {
    path: '/chart/horizontal-bars',
    name: 'gateway-widget-chart-bar-horizontal',
    component: Template2_HorizontalBars
  },
  {
    path: '/chart/line-graph',
    name: 'gateway-widget-chart-line',
    component: Template3_LineGraph
  },
  {
    path: '/chart/weather',
    name: 'gateway-widget-chart-weather',
    component: Template4_Weather
  },
  {
    path: '/chart/vertical-bars',
    name: 'gateway-widget-chart-bar-vertical',
    component: Template5_VerticalBars
  },
  {
    path: '/chart/pie-chart',
    name: 'gateway-widget-chart-pie',
    component: Template6_PieChart
  },
  {
    path: '/chart/info',
    name: 'gateway-widget-information',
    component: Template7_Info
  },
  {
    path: '/chart/live-video',
    name: 'gateway-widget-live-feed',
    component: Template8_LiveVideo
  }
]

const router = createRouter({
  history: createWebHashHistory(),
  routes
})

export default router
