import { reactive } from 'vue';

export const state = reactive({
    dev: (process.env.NODE_ENV == 'development'),
    weather_key: process.env.VUE_APP_WEATHER_KEY,
});

export const mutations = {
    init() {
        return new Promise((resolve/*, reject*/) => {
            fetch(process.env.VUE_APP_CONFIG_URL)
                .then((response) => response.json())
                .then((response) => {
                    for (let i in response) Reflect.set(state, i, response[i]);
                })
                .then(() => resolve())
                // .catch((err) => reject(err)) // temporary
                .catch(() => resolve())
        });
    }
}


export default {
    state,
    mutations,
}