var elementResizeDetectorMaker = require("element-resize-detector");

export const methods = {
    setupNaturalSize(element) {
        const width = this.naturalWidth;
        const height = this.naturalHeight;
        if (!width) {
            console.error("Template should expose 'naturalWidth'");
            return;
        }
        if (!height) {
            console.error("Template should expose 'naturalHeight'");
            return;
        }

        element.style.setProperty('width', width + 'px');
        element.style.setProperty('height', height + 'px');
        element.style.setProperty('transform-origin', 'top left');

        const resizeDetect = elementResizeDetectorMaker({
            strategy: "scroll"
        });
        resizeDetect.listenTo(element.parentElement, function (parent) {
            const w = parent.offsetWidth;
            const h = parent.offsetHeight;
            const scale = Math.min(w / width, h / height);
            element.style.setProperty('transform', `scale(${scale})`);
        });
    }
}


export default {
    methods
}